/* Table.h contains the declarations for type Table.
 * ...
 ******************************************************/

#include <vector>    // vector
#include <iostream>  // istream, ostream
#include <string>    // string
using namespace std;

typedef vector<double> TableRow;
typedef vector<TableRow> Table;

// --- output a Table via an ostream
void print(ostream& out, const Table& aTable);

// --- fill a Table with values from a file,
//      whose first line is the # of rows & columns
void fill(const string& fileName, Table& aTable);

// --- fill a Table with values from a file
//      (without the limitation of fill())
void load(const string& fileName, Table& aTable);


